from sqlalchemy import Column, Integer, String, Boolean, DateTime
from sqlalchemy.sql import func
from app.db.database import Base

class TCGPlayerCategory(Base):
    __tablename__ = "tcgplayer_categories"

    id = Column(Integer, primary_key=True, index=True)
    category_id = Column(Integer, unique=True, index=True)
    name = Column(String, nullable=False)
    display_name = Column(String)
    seo_category_name = Column(String)
    category_description = Column(String)
    category_page_title = Column(String)
    sealed_label = Column(String)
    non_sealed_label = Column(String)
    condition_guide_url = Column(String)
    is_scannable = Column(Boolean, default=False)
    popularity = Column(Integer, default=0)
    is_direct = Column(Boolean, default=False)
    modified_on = Column(DateTime)
    created_at = Column(DateTime(timezone=True), server_default=func.now())
    updated_at = Column(DateTime(timezone=True), onupdate=func.now()) 